Foreman - Refactor #35432
Tracker # 28570 (Closed): Rails 6.1 Tracker

Load Rails 6.1 defaults
08/25/2022 12:07 PM - Ewoud Kohl van Wijngaarden

Status: Closed
Priority: Normal
Assignee: Ewoud Kohl van Wijngaarden
Category: Rails
Target version:
Difficulty: Fixed in Releases: 3.8.0
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/9328,
https://github.com/theforeman/foreman/p
ull/9748
Description

Rails has introduced config.load_defaults (https://quides.rubyonrails.org/configuring.html#versioned-default-values) to load the
defaults of a certain version. Currently this is not called at all, which means using Rails < 5.0 defaults. Changing this brings Foreman
more in line with the Rails recommended defaults.

Associated revisions

Revision f034a4fc - 06/30/2023 03:19 PM - Oleh Fedorenko
Fixes #35432 - Use Rails 6.1 defaults

History

#1 - 08/25/2022 12:13 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/foreman/pull/9382 added

#2 - 09/28/2022 09:50 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/9328 added

#3 - 12/10/2022 01:23 AM - The Foreman Bot
- Status changed from Ready For Testing to New
- Pull request deleted (https://github.com/theforeman/foreman/pull/9382)

#4 - 12/11/2022 04:58 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/9382 added

#5 - 03/12/2023 01:23 AM - The Foreman Bot
- Status changed from Ready For Testing to New
- Pull request deleted (https://github.com/theforeman/foreman/pull/9382)

#6 - 06/26/2023 03:56 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/9748 added

#7 - 06/30/2023 03:19 PM - The Foreman Bot
https://guides.rubyonrails.org/configuring.html#versioned-default-values

- Fixed in Releases 3.8.0 added

#8 - 06/30/2023 04:00 PM - Oleh Fedorenko
- Status changed from Ready For Testing to Closed

Applied in changeset foreman|f034a4fc3f57fea81b31a5fb50acb7b0d5afbd98.

#9 - 09/12/2023 08:43 AM - Ewoud Kohl van Wijngaarden

- Triaged changed from No to Yes
